Cabal-3.10.1.0: A framework for packaging Haskell software

Copyright | Thomas Tuegel 2011
License | BSD3
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Simple.Hpc

Description

This module provides functions for locating various HPC-related paths and a function for adding the necessary options to a PackageDescription to build test suites with HPC enabled.

Synopsis

- data Way
  - = Vanilla
  - | Prof
  - | Dyn
- guessWay :: LocalBuildInfo -> Way
- htmlDir :: FilePath -> Way -> FilePath -> FilePath
- mixDir :: FilePath -> Way -> FilePath -> FilePath
- tixDir :: FilePath -> Way -> FilePath -> FilePath
- tixFilePath :: FilePath -> Way -> FilePath -> FilePath
- markupPackage :: Verbosity -> LocalBuildInfo -> FilePath -> PackageDescription -> [TestSuite] -> IO ()
- markupTest :: Verbosity -> LocalBuildInfo -> FilePath -> String -> TestSuite -> Library -> IO ()

# Documentation

data Way Source #

Constructors

Vanilla |
Prof |
Dyn |

#### Instances

Instances details

Bounded Way Source # |
Instance details Defined in Distribution.Simple.Hpc Methods minBound :: Way Source # maxBound :: Way Source #
Enum Way Source # |
Instance details Defined in Distribution.Simple.Hpc Methods succ :: Way -> Way Source # pred :: Way -> Way Source # toEnum :: Int -> Way Source # fromEnum :: Way -> Int Source # enumFrom :: Way -> [Way] Source # enumFromThen :: Way -> Way -> [Way] Source # enumFromTo :: Way -> Way -> [Way] Source # enumFromThenTo :: Way -> Way -> Way -> [Way] Source #
Read Way Source # |
Instance details Defined in Distribution.Simple.Hpc Methods readsPrec :: Int -> ReadS Way Source # readList :: ReadS [Way] Source # readPrec :: ReadPrec Way Source # readListPrec :: ReadPrec [Way] Source #
Show Way Source # |
Instance details Defined in Distribution.Simple.Hpc Methods showsPrec :: Int -> Way -> ShowS Source # show :: Way -> String Source # showList :: [Way] -> ShowS Source #
Eq Way Source # |
Instance details Defined in Distribution.Simple.Hpc Methods (==) :: Way -> Way -> Bool # (/=) :: Way -> Way -> Bool #

guessWay :: LocalBuildInfo -> Way Source #

Attempt to guess the way the test suites in this package were compiled and linked with the library so the correct module interfaces are found.

htmlDir Source #

Arguments

:: FilePath | "dist/" prefix
-> Way |
-> FilePath | Component name
-> FilePath | Path to test suite's HTML markup directory

mixDir Source #

Arguments

:: FilePath | "dist/" prefix
-> Way |
-> FilePath | Component name
-> FilePath | Directory containing test suite's .mix files

tixDir Source #

Arguments

:: FilePath | "dist/" prefix
-> Way |
-> FilePath | Component name
-> FilePath | Directory containing test suite's .tix files

tixFilePath Source #

Arguments

:: FilePath | "dist/" prefix
-> Way |
-> FilePath | Component name
-> FilePath | Path to test suite's .tix file

Path to the .tix file containing a test suite's sum statistics.

markupPackage Source #

Arguments

:: Verbosity |
-> LocalBuildInfo |
-> FilePath | "dist/" prefix
-> PackageDescription |
-> [TestSuite] |
-> IO () |

Generate the HTML markup for all of a package's test suites.

markupTest Source #

Arguments

:: Verbosity |
-> LocalBuildInfo |
-> FilePath | "dist/" prefix
-> String | Library name
-> TestSuite |
-> Library |
-> IO () |

Generate the HTML markup for a test suite.